require 'belafonte'
require 'cabal/cli'
require 'cabal/cli/authenticated'

module Cabal
  module CLI
    class List < Belafonte::App
      include Authenticated

      title 'list'
      summary 'List all known clusters'
      description "Displays the list of all known clusters, one line at a time"

      arg :cluster_name,
        times: :unlimited

      def handle
        with_authentication(partake(:config)) do
          stdout.puts partake(:client).clusters.join("\n")
        end
      end
    end
  end
end
