require 'cabal/cli/key'
require 'cabal/cli/list'
require 'cabal/cli/ssh'

module Cabal
  module CLI
    class Main < Belafonte::App
      title 'cabal'
      summary 'An interface to the Cabal API'

      mount Cabal::CLI::Key
      mount Cabal::CLI::List
      mount Cabal::CLI::SSH

      def setup
        Cabal::CLI.setup
        config = Cabal::CLI.config
        client = Cabal::Client.new(
          api_base: config[:url],
          access_key: config[:access_key],
          secret_key: config[:secret_key]
        )

        share(:config, config)
        share(:client, client)
      end
    end
  end
end
